MetaTrader4 will not be supporting for “Windows XP” from 2015

September 6, 2016

MetaTrader is compatible with Windows, but not "Windows XP".

MetaTrader4 will not be supporting for “Windows XP” from 2015

For traders with Windows XP, please note that the MT4(MetaTrader4) will not be supporting “Windows XP Service Pack 2” and any earlier version of the OS from 2015.

MT4 is mainly compatible with Windows PC, but XP is not supported.

As a result you may experience malfunctions of your MT4 Platform on Windows XP OS devices. Even if you are using Windows XP Service Pack 3 or a newer version, you may still experience disruptions on your trading activity.

What devices for MT4?

For trading on HotForex MT4(or any MT4 by other brokers), you may want to use Windows PC but with 7 or newer versions.

You can also use the apps that can be installed by iOS and Android devices.

Windows XP and older versions, or MAC PC may experience malfunctions during tradings.

Free 123 USD

30 USD for Free

5 USD for Free

25 USD for Free

300 USD for Free

100 USD for Free

Partner brands

Hercules